<?php
function mytheme_header_options($wp_customize){
		$wp_customize->add_section('mytheme_header_options', array(
        'title'    => __('网站顶部设置', 'mytheme'),
        'description' => '通过这个选项设置网站顶部的样式和内容',
        'priority' => 60,
    ));

	class Ari_Customize_Textarea_Control extends WP_Customize_Control {
  public $type = 'textarea';
  public function render_content() {

 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
    <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value()); ?></textarea>
  </label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}



class Ari_Customize_select_nav_Control extends WP_Customize_Control {
  public $type = 'select_nav';
  public function render_content() {

 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   
    
    <select style="width:100%;" <?php $this->link(); ?>>
			<option value="0">请选择一个菜单</option>
		<?php
		$big_pic_nav= $this->value();
		$menus = wp_get_nav_menus( array( 'orderby' => 'name' ) );
			foreach ( $menus as $menu ) {
				echo '<option value="' . $menu->term_id . '"'
					. selected( $big_pic_nav, $menu->term_id, false )
					. '>'. esc_html( $menu->name ) . '</option>';
			}
		?>
			</select> 
    
    
    
  </label>
  <p><?php 
  if(!$big_pic_nav){$big_pic_nav=0;};
  $url='href="'.admin_url().'/nav-menus.php?action=edit&menu='.$big_pic_nav.'"';
  echo esc_html( $this->description); echo'<br><a target="_blank" '.$url.' class="button" >进入菜单进行编辑或者创建</a>';?></p>
<?php 
  }
}

class Ari_Customize_select_pages extends WP_Customize_Control {
  public $type = 'select_pages';
  public function render_content() {
$page_ids=esc_textarea( $this->value()); 
 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   

             <select <?php $this->link(); ?> >
              <option value=''<?php if ($page_ids == "" ) {echo "selected='selected'";}?> >请选择</option>
             <?php 
			
		$pages = get_pages();
		foreach( $pages AS $page ) { 
		 $page_id=$page->ID;
		  $page_name=$page->post_title;
		?>
       
			<option 
				value='<?php echo  $page_id; ?>'
				<?php
					if ( $page_ids == $page_id ) {
						echo "selected='selected'";
					}
				?>><?php echo $page_name; ?></option>
		<?php } ?>
   
	</select></label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}



class Ari_Customize_fengexian_Control extends WP_Customize_Control {
  public $type = 'fengexian';
  public function render_content() {

 ?>
 <div style="width:100%; background:#333; margin:15px 0; height:1px;"></div>
  
<?php 
  }
}



  $wp_customize->add_setting('mytheme_top_ad_images', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_top_ad_images', array(
        'label'    => __('顶部广告图片(只显示在pc上)', 'mytheme_top_ad_images'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_ad_images',
		'description' => '宽度1920，高度自定义，广告图片制作时，请将主要文字和内容放置在图片正中心的1024宽度以内',
     )
    )); 
	
	
		$wp_customize->add_setting('mytheme_top_ad_images_h', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_top_ad_images_h', array(
         'label'      => __('顶部广告图片高度，默认88像素', 'mytheme_top_ad_images_h'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_ad_images_h',
        'description' => '单位像素，填写纯数字',
      ));
	
	
	
	$wp_customize->add_setting('mytheme_top_ad_images_u', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_top_ad_images_u', array(
         'label'      => __('顶部广告图片url', 'mytheme_top_ad_images_u'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_ad_images_u',
         'description' => '如果不需要链接则不填写',
      ));
	







 $wp_customize->add_setting('mytheme_top_left_nav', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_nav_Control($wp_customize, 'mytheme_top_left_nav', array(
        'label'    => __('最顶部靠左菜单', 'mytheme_top_left_nav'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_left_nav',
		'description' => '这个菜单一般用于多语言站点链接，如果你没有多语言站点链接，你可以放入几个自定义关键词和链接，优化搜索引擎',
     )
    )); 








  $wp_customize->add_setting('mytheme_logo', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo', array(
        'label'    => __('电脑版本logo上传[尺寸高度：79px，宽度不要超过200px]', 'mytheme_logo'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo',
     )
    )); 
	
	
 $wp_customize->add_setting('mytheme_logo2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo2', array(
        'label'    => __('手机版本logo上传[尺寸高度：70px*70px]', 'mytheme_logo2'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo2',
     )
    )); 	
	
	
	
	
	
	 $wp_customize->add_setting('mytheme_logo3', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo3', array(
        'label'    => __('LOGO旁的广告图片', 'mytheme_logo3'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo3',
		'description' => '建议尺寸479*43',
     )
    )); 	
	
	
	$wp_customize->add_setting('mytheme_logo_u', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_logo_u', array(
         'label'      => __('logo旁广告图片url', 'mytheme_logo_u'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo_u',
         'description' => '如果不需要链接则不填写',
      ));
	
//----------------------------logo------------------------------------------------	
	
	
	
	 $wp_customize->add_setting('mytheme_tops_pic', array(
		'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_tops_pic', array(
        'label'    => __('最上顶部背景图片(电脑版)', 'mytheme_tops_pic'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_tops_pic',
		'description' => '顶部最上背景图片，默认为深灰色，高度32px,宽度平铺，可上传一像素的图片也可以上传最大分辨率1920ox宽度，若非全尺寸宽度，请上传可连续的图片以免出现缝隙',
     )
    )); 
	
	
		 $wp_customize->add_setting('mytheme_tops_color', array(
		'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'mytheme_tops_color', array(
        'label'    => __('最上顶部背景颜色(电脑版)', 'mytheme_tops_color'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_tops_color',
		'description' => '注意：背景图片会覆盖掉背景颜色，二者设置其一即可',
     )
    )); 
	
	
	$wp_customize->add_setting('mytheme_top_text_color', array(
        'default'        => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_top_text_color', array(
        'label'    => __('最顶部默认白色文字颜色', 'mytheme_top_text_color'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_text_color',
	
    )));
	
	

	
	
	
	
	 $wp_customize->add_setting('mytheme_form_pic', array(
		'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_form_pic', array(
        'label'    => __('整个顶部背景图片(电脑版)', 'mytheme_form_pic'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_form_pic',
		'description' => '导航背景图片（默认白色），高度66px，宽度平铺，一般上传一像素宽度即可，也可以上传最大分辨率1920宽度，若非全尺寸宽度，请上传可连续的图片以免出现缝隙',
     )
    )); 
	
	
	
	
	 $wp_customize->add_setting('mytheme_header_color', array(
	    'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_color', array(
        'label'    => __('[pc]整个顶部背景颜色', 'mytheme_header_color'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_color',
		'description' => '注意：背景图片会覆盖掉背景颜色，二者设置其一即可',
    )));
	
	
	
 $wp_customize->add_setting('mytheme_header_opacity', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_opacity', array(
         'label'      => __('整个顶部背景透明度（电脑版）', 'mytheme_header_opacity'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_opacity',
         'description' => '填写透明度，如80%填写8,70%填写7，不填写则显示100%不透明',
      ));
	  
	
	
	
 $wp_customize->add_setting('mytheme_top_search', array(
	    'default'        => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_top_search', array(
        'label'    => __('搜索按钮颜色', 'mytheme_top_search'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_search',
		'description' => '搜索按钮颜色，默认为黄色',
    )));
	
	

	
	
	 $wp_customize->add_setting('mytheme_form_pic2', array(
		'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_form_pic2', array(
        'label'    => __('整个顶部背景图片(移动版)', 'mytheme_form_pic2'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_form_pic2',
		'description' => '整个顶部的背景图片，高度53px，平铺（同pc版本），若设置了背景图片，那么背景颜色将会被覆盖',
     )
    )); 
	
	
	
		

	
	
	
	//----------------------------pc nav------------------------------------------------	


	
$wp_customize->add_setting('mytheme_header_title', array(
        
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_title', array(
        'label'    => __('导航标题颜色', 'mytheme_header_title'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_title',
	
    )));	
	
$wp_customize->add_setting('mytheme_header_icon_color', array(
        
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));


$wp_customize->add_setting('mytheme_header_title_hover', array(
       
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));


$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_title_hover', array(
        'label'    => __('导航鼠标经过颜色', 'mytheme_header_title_hover'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_title_hover',
	
    )));	
	
	
$wp_customize->add_setting('mytheme_header_li_hover', array(
        'default'        => '#f64f57',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_li_hover', array(
        'label'    => __('导航鼠标经过背景颜色', 'mytheme_header_li_hover'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_li_hover',
	
    )));	
		
	
	$wp_customize->add_setting('mytheme_header_drop_icon', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));	
 $wp_customize->add_control('mytheme_header_drop_icon', array(
        'label'      => __('折叠下拉菜单的导航项目图标', 'mytheme_header_drop_icon'),
          'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_header_drop_icon',
		 
		'type'    => 'select',
		 'choices'    => array(
            '' => '默认白色',
            'white_iocons' => '深灰色',
			
          
        ),
    )); 


	
	
	
	
	
	 $wp_customize->add_setting('mytheme_header_color2', array(
	    'default'        => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_color2', array(
        'label'    => __('[手机]整个顶部背景颜色', 'mytheme_header_color2'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_color2',
		'description' => '注意：背景图片会覆盖掉背景颜色，二者设置其一即可',
    )));
	
	$wp_customize->add_setting('mytheme_header_opacity2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_header_opacity2', array(
         'label'      => __('顶部背景透明度(移动版)', 'mytheme_header_opacity2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_opacity2',
         'description' => '填写透明度，如80%填写8,70%填写7，不填写则显示100%不透明',
      ));
	
	
	
	
	$wp_customize->add_setting('mytheme_header_icon_color2', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));	
 $wp_customize->add_control('mytheme_header_icon_color2', array(
        'label'      => __('移动版顶部图标颜色', 'mytheme_header_icon_color2'),
          'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_header_icon_color2',
		 'description' => '所有图标的颜色可选黑白两色，pc和移动版可分开执行',
		'type'    => 'select',
		 'choices'    => array(
            '' => '默认深灰色',
            'move_white' => '白色',
			
          
        ),
    )); 
	
	
//----------------------------header------------------------------------------------		

	
	
   
//----------------------------pc header------------------------------------------------	
	 


		
	
 
	 
	
 //----------------------------pc text------------------------------------------------	  
};
add_action('customize_register', 'mytheme_header_options');
?>