<?php
/**
 * 主题选项汇总菜单
 * 针对主题选项建立选项菜单

 * @see 	    http://www.themepark.com.cn
 * @author 		themepark
 * @package 	theme/themeoption
 * @version     1.o
 */
include_once("widget_option.php"); 
include_once("Initialization.php"); 
include_once("language.php");
include_once("woo-language.php");
include_once("bq_404_option.php");
include_once("product_language_option.php");
include_once("theme_cat_search_option_function.php");
include_once("plugins-theme.php");
include_once("import_data.php");
add_action('admin_menu', 'themepark_theme_option');

function themepark_theme_option() {
	if(function_exists('add_menu_page')) {
		add_menu_page('初始化选项', '主题选项', 'administrator','themepark_theme', 'theme_main_opting',  get_bloginfo('template_url').'/images/themepark_theme_option.png',60);
	}
	
}
add_action('admin_menu', 'my_submenu_page');
function my_submenu_page() {
add_submenu_page( 'themepark_theme', '默认列表和筛选', '默认列表和筛选', 'edit_themes', 'theme_cat_search_option', 'theme_cat_search_option_function' );	
add_submenu_page( 'themepark_theme', '404和版权设置', '404和版权设置', 'edit_themes', 'bq_404_option', 'bq_404_option_function' );
add_submenu_page( 'themepark_theme', '侧边栏设置', '侧边栏设置', 'edit_themes', 'widget_option', 'widget_option_function' );
add_submenu_page( 'themepark_theme', '文章系统多语言', '文章系统多语言', 'edit_themes', 'language_option', 'language_option_function' );
add_submenu_page( 'themepark_theme', 'woocommerce产品系统多语言', '产品系统多语言', 'edit_themes', 'product_language_option', 'product_language_option_function' );
add_submenu_page( 'themepark_theme', '插件兼容', '插件兼容设置', 'edit_themes', 'plugin_theme_option', 'plugin_theme_option_function' );
add_submenu_page( 'themepark_theme', '导入数据说明', '导入数据说明', 'edit_themes', 'import_data', 'import_data_function' );
}
//顶部输出函数
function theme_themepark_video($post){
$themeinfo_hidden= get_option('themeinfo_hidden');	
if(!$themeinfo_hidden){
$ct = wp_get_theme();
$screenshot = $ct->get_screenshot();
$class = $screenshot ? 'has-screenshot' : '';
$customize_title = sprintf( __( 'Customize &#8220;%s&#8221;' ), $ct->display('Name') );
?>
<div id="message" class="update-nag"><p><strong><?php echo $post; ?></strong></p>
 <p>主题名称：<?php echo $ct->display('Name'); ?> |  版本：<?php echo $ct->display('Version'); ?> | <a target="_blank" href="https://www.themepark.com.cn/wkscwoocommercesczt.html">[主题介绍和演示]</a></p>
 <p>需要帮助？我们为你录制了细致的视频教程,点击前往：<br />
<a target="_blank" href="https://www.themepark.com.cn/ydzgxlwordpressztptspjb.html">主题专用视频教程(关于这款主题专门录制的教程)</a><br />
<a target="_blank" href="https://www.themepark.com.cn/category/news/independent-tutorials/">视频教程专区</a>
</p></div>	
	<?php 
	}}


//仪表盘提示
add_action( 'wp_dashboard_setup', 'themepark_wellcome' );
function themepark_wellcome() {
	$themeinfo_hidden= get_option('themeinfo_hidden');	
	if(!$themeinfo_hidden){
   add_meta_box( 'themepark_wellcome', '帮助、教程和建站资源', 'themepark_wellcome_box', 'dashboard', 'side', 'high' );}
}
function themepark_wellcome_box(){

?>	

<p>嗨！欢迎使用WEB主题公园出品的高级woocommerce主题，我们为你准备了一些建立网站所需要的资源，你可以看看是否需要呢！<br />你也可以直接进入<a target="_blank" href="https://www.themepark.com.cn">WEB主题公园</a></p>
<ul class="community-events" >
<li class="event-none">【woocommerce付费版主题教程】主题可以导入演示数据，这样你就可以参考演示数据中的设置和视频进行修改和学习了<br />
<a target="_blank" href="http://woo.themepark.com.cn">[真实主题建立的演示网站]</a> |  <a target="_blank" href="https://www.themepark.com.cn/category/news/independent-tutorials/">[进入主题配套视频教程]</a></li>

<li class="event-none"><a target="_blank" href="https://www.themepark.com.cn/category/news/design/">[建立网站找不到合适的素材？点击这里看看！]</a> </li>
<li class="event-none"><a target="_blank" href="https://www.themepark.com.cn/category/themes/woocommerce-theme-advanced-payment/">[看看更多其他的woocommerce高级主题]</a> </li>

</ul>

	
	<?php 
	}
?>